<?php
	
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the Iconize plugin
	 */
	class PluginIconizeConfigView extends AdminPluginTemplatedView
	{

		function PluginIconizeConfigView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "iconize", "iconize" );
		}
		
		function render()
		{
			// load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_iconize_enabled" );
			
			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
			$this->setValue( "iconize", $iconize );
			
			parent::render();
		}
	}
?>
